#!/bin/bash

usage()
{
   echo "USAGE: `basename ${0}` <product_dir>"
}


get_this_dir() 
{
    ( cd / ; /bin/pwd -P ) >/dev/null 2>&1
    if (( $? == 0 )); then
      pwd_P_arg="-P"
    fi
    reldir=`dirname ${0}`
    thisdir=`cd ${reldir} && /bin/pwd ${pwd_P_arg}`
}

product_dir=${1}

if [ -z ${product_dir} ]
then
   echo "ERROR: please specify the product directory"
   usage
   exit 1
fi

package=upd
pkgver=v5_0_1
pkgdotver=`echo ${pkgver} | sed -e 's/_/./g' | sed -e 's/^v//'`

get_this_dir

# make sure we can use the setup alias
if [ -z ${UPS_DIR} ]
then
   echo "ERROR: please setup ups"
   exit 1
fi
source `${UPS_DIR}/bin/ups setup ${SETUP_UPS}`

pkgdir=${product_dir}/${package}/${pkgver}

if [ ! -d ${pkgdir} ]
then
   echo "ERROR: cannot find ${pkgdir}"
   exit 1
fi

cd ${pkgdir}
tar xf ${pkgdir}/tar/${package}-${pkgdotver}.tar.bz2

# declare 
ups declare ${package} ${pkgver} -r ${package}/${pkgver}/NULL -f NULL -m ${package}.table -z ${product_dir}
ups declare -c ${package} ${pkgver} -f NULL -z ${product_dir}

# make the distribution tarball here
cd ${product_dir}

set -x
tar cjf ${package}-${pkgdotver}-noarch.tar.bz2 \
   .updfiles ${package}/${updver}*  ${package}/current.chain

exit 0
